package jp.sourceforge.cfneo.at4ie2.api.test.impl.invoker;

import jp.sourceforge.cfneo.at4ie2.api.test.AbstractInvoker;
import jp.sourceforge.cfneo.at4ie2.api.test.CommandEnum;
import jp.sourceforge.cfneo.at4ie2.api.test.Context;
import jp.sourceforge.cfneo.at4ie2.api.test.TestCase;
import jp.sourceforge.cfneo.at4ie2.api.test.impl.DefaultTestCase;

public class ClickAndWaitInvoker extends AbstractInvoker {

	public ClickAndWaitInvoker(Context context) {
		super(context);
	}

	@Override
	public void invoke(TestCase testCase) {
		this.getContext().getInvokerFactory().getInvoker(
				CommandEnum.CLICK).invoke(testCase);
		this.getContext().getInvokerFactory().getInvoker(CommandEnum.PAUSE).invoke(
				new DefaultTestCase(this.getContext(), testCase.getTestCaseId(), CommandEnum.PAUSE, "1", null));
	}

}
